Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(505)

Issue 1326043003: Update BUILD.gn for [P]NaCl. (Closed)

Created:
5 years ago by Sergey Ulanov
Modified:
5 years ago
Reviewers:
Johann, Tom Finegan
CC:
chromium-reviews, wwcv, jzern, fgalligan1, Tom Finegan
Base URL:
https://chromium.googlesource.com/chromium/deps/libvpx.git@master
Target Ref:
refs/heads/master
Visibility:
Public.

Description

Update BUILD.gn for [P]NaCl. Now it's possible to build libvpx for [P]NaCl. It will be used to build remoting PNaCl plugin. BUG=512899 R=johannkoenig@google.com Committed: https://chromium.googlesource.com/chromium/deps/libvpx/+/955b838bb02b2d2db4317b15417b18992bb72652

Patch Set 1 #

Total comments: 8

Patch Set 2 : #

Total comments: 5
Unified diffs Side-by-side diffs Delta from patch set Stats (+18 lines, -10 lines) Patch
M BUILD.gn View 1 4 chunks +18 lines, -10 lines 5 comments Download

Messages

Total messages: 16 (3 generated)
Sergey Ulanov
5 years ago (2015-09-02 23:48:49 UTC) #2
Johann
I'm kinda stuck trying to land an upstream roll: https://codereview.chromium.org/1312353005/ If you're in a hurry ...
5 years ago (2015-09-03 02:14:41 UTC) #3
Johann
https://codereview.chromium.org/1326043003/diff/1/BUILD.gn File BUILD.gn (right): https://codereview.chromium.org/1326043003/diff/1/BUILD.gn#newcode13 BUILD.gn:13: } if (is_nacl) { this doesn't seem necessary, but ...
5 years ago (2015-09-03 02:14:51 UTC) #5
Johann
also performance is going to be horrendous. is the intention to actually run this code?
5 years ago (2015-09-03 02:16:20 UTC) #6
Sergey Ulanov
https://codereview.chromium.org/1326043003/diff/1/BUILD.gn File BUILD.gn (right): https://codereview.chromium.org/1326043003/diff/1/BUILD.gn#newcode13 BUILD.gn:13: } if (is_nacl) { On 2015/09/03 02:14:51, Johann wrote: ...
5 years ago (2015-09-03 04:25:20 UTC) #8
Sergey Ulanov
On 2015/09/03 02:16:20, Johann wrote: > also performance is going to be horrendous. is the ...
5 years ago (2015-09-03 04:29:37 UTC) #9
Johann
Does the "accelerated" version go to Chrome's optimized version? Just trying to figure out why ...
5 years ago (2015-09-03 05:43:03 UTC) #10
Johann
On 2015/09/03 04:29:37, Sergey Ulanov wrote: > On 2015/09/03 02:16:20, Johann wrote: > > also ...
5 years ago (2015-09-03 05:44:23 UTC) #11
Sergey Ulanov
On 2015/09/03 05:43:03, Johann wrote: > Does the "accelerated" version go to Chrome's optimized version? ...
5 years ago (2015-09-03 16:33:37 UTC) #12
Sergey Ulanov
On 2015/09/03 05:44:23, Johann wrote: > On 2015/09/03 04:29:37, Sergey Ulanov wrote: > > On ...
5 years ago (2015-09-03 16:36:13 UTC) #13
Johann
LGTM Still seems weird to have the C code as a fallback. If it makes ...
5 years ago (2015-09-03 16:41:45 UTC) #14
Sergey Ulanov
Committed patchset #2 (id:40001) manually as 955b838bb02b2d2db4317b15417b18992bb72652 (presubmit successful).
5 years ago (2015-09-03 16:47:30 UTC) #15
Johann
5 years ago (2015-09-03 21:09:56 UTC) #16
Message was sent while issue was closed.
On 2015/09/03 16:47:30, Sergey Ulanov wrote:
> Committed patchset #2 (id:40001) manually as
> 955b838bb02b2d2db4317b15417b18992bb72652 (presubmit successful).

FYI - potentially rolling as part of this change:
https://codereview.chromium.org/1312353005/

Powered by Google App Engine
This is Rietveld 408576698